//==============================================================
//			column$
//==============================================================
function column$(def)
{
	this.name 	= 'unknown';
	this.header 	= 'unknown';
	this.format 	= 'text';

	if (def.name) this.name = def.name;
	if (def.header) this.header = def.header;
	if (def.format) this.format = def.format.toLowerCase();

	this.toRow = column$toRow;
	this.toHeader = column$toHeader;

	switch (this.format)
	{
	case   "text": this.formatValue = column$formatValue_text; break;
	case "number": this.formatValue = column$formatValue_number; break;
	
	default: throw new Error('unknown column$format: ' + this.format);				
	}
}
//=============================================================
//			column$toHeader
//=============================================================
function column$toHeader(row)
{
	var cell;
	
	cell = row.insertCell(-1);	
	cell.innerText = this.header;
	cell.style.backgroundColor = 'navy';
	cell.style.color = 'white';
	cell.style.textAlign = 'center';
}
//=============================================================
//			column$toRow
//=============================================================
function column$toRow(row,value)
{
	var cell;
	cell = row.insertCell(-1);	
	cell.innerHTML = this.formatValue(value);	
}
//=============================================================
//			column$formatValue_text
//=============================================================
function column$formatValue_text(value)
{
	return '' + value;
}
//=============================================================
//			column$formatValue_number
//=============================================================
function column$formatValue_number(value)
{
	value = parseFloat(value);
	if (isNaN(value)) value = 0;
	return value.toString(16).toUpperCase();
}